package com.emr.dao.his;

import com.emr.entity.his.HISBA1;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA1Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA1 record);

    int insertSelective(HISBA1 record);

    HISBA1 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA1 record);

    int updateByPrimaryKey(HISBA1 record);

    List<HISBA1> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
}